REM ProtoTRAK SX Spanish Language Installer
@echo off

SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION

SET Main_MLS=PT4SXSpanish511_F.mls
SET DXF_MLS=PTDXF_Spanish_B.mls
SET Parasolid_MLS=PTParasolid_Spanish_B.mls
SET Verify_MLS=PTVerifySpanish_B.mls
SET MLS_Folder=Lang_Files_SX_Spanish

rem The current path is %cd%
rem Flash drive path is %~dp0
rem change directory to the drive where batch was launched from
cd /d %~dp0\!MLS_Folder!
echo The current path is %cd%

echo copying files...
copy !Main_MLS! C:\PT4SX\ /Y
copy !DXF_MLS! C:\PT4SX\options\dxf\ /Y
copy !Parasolid_MLS! C:\PT4SX\options\ptparasolid\ /Y
copy !Verify_MLS! C:\PT4SX\options\ptverify\ /Y

fart C:\PT4SX\PT4SXConfig.ini "LanguageFile=PT4SXEnglish.mls" "LanguageFile=!Main_MLS!"
fart C:\PT4SX\options\dxf\PTDXF_Config.ini "LanguageFile=PTDXF_English.mls" "LanguageFile=!DXF_MLS!"
fart C:\PT4SX\options\ptparasolid\PTPARASOLID_Config.ini "LanguageFile=PTPARASOLID_English.mls" "LanguageFile=!Parasolid_MLS!"
fart C:\PT4SX\options\ptverify\PTVerify.ini "LanguageFile=PTVerifyEnglish.mls" "LanguageFile=!Verify_MLS!"

echo Batch file complete.

start pt4sxupd.exe

ENDLOCAL